# Uses of Class
org.apache.lucene.index.IndexReaderContext

Packages that use IndexReaderContext
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of IndexReaderContext in org.apache.lucene.index

  Subclasses of IndexReaderContext in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `final class`
  `CompositeReaderContext`
  `IndexReaderContext` for `CompositeReader` instance.
  `final class`
  `LeafReaderContext`
  `IndexReaderContext` for `LeafReader` instances.
  Methods in org.apache.lucene.index that return IndexReaderContext
  Modifier and Type
  Method
  Description
  `abstract IndexReaderContext`
  IndexReader.`getContext()`
  Expert: Returns the root `IndexReaderContext` for this `IndexReader`'s sub-reader tree.
  `static IndexReaderContext`
  ReaderUtil.`getTopLevelContext(IndexReaderContext context)`
  Walks up the reader tree and return the given context's top level reader context, or in other words the reader tree's root context.
  Methods in org.apache.lucene.index that return types with arguments of type IndexReaderContext
  Modifier and Type
  Method
  Description
  `List<IndexReaderContext>`
  CompositeReaderContext.`children()`
  `abstract List<IndexReaderContext>`
  IndexReaderContext.`children()`
  Returns the context's children iff this context is a composite context otherwise `null` .
  `List<IndexReaderContext>`
  LeafReaderContext.`children()`
  Methods in org.apache.lucene.index with parameters of type IndexReaderContext
  Modifier and Type
  Method
  Description
  `static IndexReaderContext`
  ReaderUtil.`getTopLevelContext(IndexReaderContext context)`
  Walks up the reader tree and return the given context's top level reader context, or in other words the reader tree's root context.
  `boolean`
  TermStates.`wasBuiltFor(IndexReaderContext context)`
  Expert: Return whether this `TermStates` was built for the given `IndexReaderContext`.
  Constructors in org.apache.lucene.index with parameters of type IndexReaderContext
  Modifier
  Constructor
  Description
  ``
  `TermStates(IndexReaderContext context)`
  Creates an empty `TermStates` from a `IndexReaderContext`
  ``
  `TermStates(IndexReaderContext context, TermState state, int ord, int docFreq, long totalTermFreq)`
  Creates a `TermStates` with an initial `TermState`, `IndexReader` pair.

- ## Uses of IndexReaderContext in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as IndexReaderContext
  Modifier and Type
  Field
  Description
  `protected final IndexReaderContext`
  IndexSearcher.`readerContext`
  Methods in org.apache.lucene.search that return IndexReaderContext
  Modifier and Type
  Method
  Description
  `IndexReaderContext`
  IndexSearcher.`getTopReaderContext()`
  Returns this searcher's top-level `IndexReaderContext`.
  Constructors in org.apache.lucene.search with parameters of type IndexReaderContext
  Modifier
  Constructor
  Description
  ``
  `IndexSearcher(IndexReaderContext context)`
  Creates a searcher searching the provided top-level `IndexReaderContext`.
  ``
  `IndexSearcher(IndexReaderContext context, Executor executor)`
  Creates a searcher searching the provided top-level `IndexReaderContext`.